Subject: Re: [PATCH] Skip unwritable tests for root

From: "Fernando J. Pereda" <[email-masked]>
Date: Mon, 30 Jun 2008 11:27:35 +0200

On Mon, Jun 30, 2008 at 02:08:18AM -0700, Junio C Hamano wrote:
> "Fernando J. Pereda" <[email-masked]> writes:
> 
> > Signed-off-by: Fernando J. Pereda <[email-masked]>
> 
> Hmm.  Actually we've deliberately ignored this so far.  If we were to do
> anything, don't we rather want to fail everything upfront when the tests
> are run by root?
> 
> Running "make" and "make test" before "make install" is so that you have
> less chance hurting your running system, and I find it simply crazy to
> build (i.e. "make all") as root, let alone running tests.

*nod*

This originated because Gentoo can be told to build stuff as root (and
run test as root) under a sandbox. Since I already had the patch
locally, I guessed you might be interested in it and just sent it.

I'll just apply it locally.

- ferdy